Pular para o conteúdo

/api/v1/tickets/{id}/details

GET
/api/v1/tickets/{id}/details
curl --request GET \
--url https://api.endless.zaia.app/api/v1/tickets/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/details

Retrieves a ticket with details.

id
required

A UUID v4 string that identifies an entity.

string format: uuid

A UUID v4 string that identifies an entity.

Retrieves a ticket.

Media typeapplication/json
object
assigneeEmail
required

The email of the user currently assigned to the ticket.

string
nullable
assigneeId
required

The user ID currently assigned to the ticket.

string format: uuid
nullable
assigneeName
required

The display name of the user currently assigned to the ticket.

string
nullable
assigneePicture
required

The picture of the user currently assigned to the ticket.

string
nullable
channelId
required

The channel ID associated with the ticket chat.

string format: uuid
nullable
channelName
required

The display name of the channel associated with the ticket chat.

string
nullable
channelType
required

The type of the channel associated with the ticket chat.

string
nullable
Allowed values: api widget widget-test waha whatsapp instagram telegram
chatId
required

The chat ID associated with the ticket.

string format: uuid
chatIsRemoved
required

Whether the chat associated with the ticket has been soft removed.

boolean
chatOwnerId
required

The chat owner super identity ID associated with the ticket chat.

string format: uuid
chatPublicMemory
required

The shared chat memory snapshot associated with the ticket.

object
key
additional properties
Any of:
string
completedAt
required

When the ticket was completed.

string format: date-time
nullable
createdAt
required

When the ticket was created.

string format: date-time
id
required

The ticket ID represented by this row.

string format: uuid
isOwnerBlocked
required

Whether the external chat owner is blocked.

boolean
nullable
ongoingAt
required

When the ticket entered the ongoing state.

string format: date-time
nullable
ownerEmail
required

The email of the chat owner when the owner is a platform user.

string
nullable
ownerEntity
required

The owner entity type associated with the chat owner super identity.

string
Allowed values: externalUsers users
ownerIdentifier
required

The identifier of the chat owner when the owner is an external user.

string
nullable
ownerName
required

The display name of the chat owner resolved from external users or users.

string
nullable
pendingChatMessages
required

The number of pending chat messages still waiting on the ticket.

integer
responderEntity
required

The responder entity type assigned to the ticket chat.

string
Allowed values: agents squads
responderId
required

The responder ID assigned to the ticket chat.

string format: uuid
responderName
required

The display name of the responder assigned to the ticket chat.

string
responderPicture
required

The picture of the responder assigned to the ticket chat.

string
nullable
responderVersionId
required

The version ID of the responder entity for this ticket chat.

string format: uuid
nullable
responderVersionNumber
required

The version number of the responder entity for this ticket chat.

integer
nullable
status
required

The lifecycle status of the ticket.

string
Allowed values: pending ongoing completed
summary
required

The short summary of the ticket.

string
tags
required

The tags currently associated with the ticket.

Array<object>
object
createdAt
required
string format: date-time
id
required

A UUID v4 string that identifies an entity.

string format: uuid
updatedAt
required
string format: date-time
activeTicketCount
required

The number of distinct pending or ongoing tickets linked to this tag via ticket_tags or chat_tags.

integer
color
required

The color of the tag.

string
Allowed values: default gray red orange yellow green blue purple pink brown
description
required

The description of the tag.

string
>= 3 characters <= 250 characters
name
required

The display name of the tag.

string
>= 3 characters <= 50 characters
workspaceId
required

The workspace that owns this tag.

string format: uuid
ticketingTeamId
required

The ticketing team ID currently assigned to the ticket.

string format: uuid
nullable
ticketingTeamName
required

The display name of the ticketing team currently assigned to the ticket.

string
nullable
ticketingTeamPicture
required

The picture of the ticketing team currently assigned to the ticket.

string
nullable
workspaceId
required

The workspace ID associated with the ticket.

string format: uuid
Example
{
"channelType": "api",
"ownerEntity": "externalUsers",
"responderEntity": "agents",
"status": "pending",
"tags": [
{
"color": "default"
}
]
}

Unauthorized.

Media typeapplication/json

The description of a known exception.

object
code

The error code.

string
cta

The error call-to-action.

object
type
required
string
Allowed values: support-contact
url
required
string format: uri
feedback
required

The error feedback.

object
enUs
string
esEs
string
ptBr
string
message
required

The error message.

string
name
required

The error name.

string
Example
{
"cta": {
"type": "support-contact"
}
}

Ticket not found.

Media typeapplication/json

The description of a known exception.

object
code

The error code.

string
cta

The error call-to-action.

object
type
required
string
Allowed values: support-contact
url
required
string format: uri
feedback
required

The error feedback.

object
enUs
string
esEs
string
ptBr
string
message
required

The error message.

string
name
required

The error name.

string
Example
{
"cta": {
"type": "support-contact"
}
}